Ticket #3743 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

IEで文字装飾の「プレビューモード」で、斜体設定が反映されない

Reported by: kkudoh Assigned to: kawahara
Priority: minor Milestone: OpenPNE2.14.7
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.20 Cc:

Description (Last modified by nakasone)

■現象

日記作成・編集で、文字装飾機能の「プレビューモード」を使って”斜体”を指定しても、

  • プレビューモードからテキストモードに変更
  • 「確認画面」ボタンを押す

以上の操作を行なうと、斜体を指定した場所が装飾タグ(<op:i></op:i>)で括られていません

IEで発生、FireFox?では発生しません

■発生バージョン

確認済 2.12.6、2.12.0、2.14.x

■再現手順

  • IEで「日記作成」画面を開く
  • プレビューモードで本文を記入して、斜体装飾する
  • テキストモードに切り替える

■環境

バグが発生した環境を記入

  • OS Windows XP SP2
  • ブラウザ IE6.0、IE7、IE8、Opera9
    • 備考:FireFox3.0、safariでは発生せず
  • サーバ環境 CentOS 5.2, PHP 5.1.6, mysql 5.0

■関連情報

public_html/js/tiny_mce/plugins/openpne/editor_plugin.js.src 387行目の関数、_previewToText内の処理が関連するようです

        _previewToText : function(s, editor) {
            var editorDoc = editor.getBody();
alert(editorDoc.innerHTML); // 斜体指定がEMタグで括られている

            function rep(re, str) {
                s = s.replace(re, str);
            };

            if (!tinymce.isWebKit) {  // not safari
                s = tinymce.trim(s);
                rep('/<(\/?)strong>/gi', '<\1b>');
                rep('/<(\/?)strike>/gi', '<\1s>');
                rep('/<(\/?)em>/gi', '<\1i>'); // ここ?
                editor.dom.setHTML(editor.getBody(), s);
            }
alert(editor.getBody().innerHTML); // 斜体指定がPLAIN TEXT

Change History

03/24/09 18:20:45 changed by imamura623

  • keywords deleted.

再現できるか試しました。

概要

プレビューモードで文字装飾した後、テキストモードに切り替えると斜体装飾が反映されない。

結果

  • IEとOperaにて再現した

Version

  • 2.13.6
  • 2.12.8

使用ブラウザ

手順

  • 日記作成画面を開く
  • プレビューモードで本文を書き込み、斜体装飾する
  • テキストモードに戻す

 

04/15/09 14:19:33 changed by kiwa

  • milestone set to OpenPNE2.12.11.

検証ありがとうございます。2.12.11で改善できないかやってみましょう。

05/08/09 11:46:31 changed by kiwa

  • keywords set to OpenPNE2.14beta1.

05/13/09 10:23:42 changed by kiwa

  • keywords deleted.
  • milestone deleted.

コードを確認してもらったところ、どうも一筋縄ではいかないようです。

2.12.11では見送り、一度Milestone外します。

05/13/09 10:23:53 changed by kiwa

  • version changed from 2.12.x to 2.12.x & 2.13.x.

06/24/09 18:24:46 changed by nakasone

  • description changed.

バグの発生環境に追記しました。

07/06/10 21:34:53 changed by kawahara

  • owner changed from nobody to kawahara.
  • status changed from new to assigned.

07/06/10 21:36:16 changed by kawahara

  • keywords set to OpenPNE2.12.20.
  • milestone set to OpenPNE2.14.7.

07/06/10 23:17:01 changed by kawahara

  • keywords changed from OpenPNE2.12.20 to OpenPNE2.12.20 チェック待ち.

修正しました。

07/06/10 23:18:18 changed by kawahara

  • keywords changed from OpenPNE2.12.20 チェック待ち to OpenPNE2.12.20 確認中.

07/22/10 16:33:36 changed by ogawa

  • keywords changed from OpenPNE2.12.20 確認中 to OpenPNE2.12.20 テスト待ち.

OKです。

07/28/10 20:54:51 changed by kiwpon

  • keywords changed from OpenPNE2.12.20 テスト待ち to OpenPNE2.12.20.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。